com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum ScanForIntegrityChangesTaskParameters.TrustedComputers

- java.lang.Object
- - java.lang.Enum<ScanForIntegrityChangesTaskParameters.TrustedComputers>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.ScanForIntegrityChangesTaskParameters.TrustedComputers

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ScanForIntegrityChangesTaskParameters.TrustedComputers>
  Enclosing class:
    ScanForIntegrityChangesTaskParameters

      public static enum ScanForIntegrityChangesTaskParameters.TrustedComputers
      extends java.lang.Enum<ScanForIntegrityChangesTaskParameters.TrustedComputers>

  Trusted Computers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_COMPUTERS` Scan all computers.
    `EXCLUDE_TRUSTED_COMPUTERS` Scan only untrusted computers.
    `TRUSTED_COMPUTERS_ONLY` Scan only trusted computers.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScanForIntegrityChangesTaskParameters.TrustedComputers` | `forValue(int value)`
    `int` | `getValue()`
    `static ScanForIntegrityChangesTaskParameters.TrustedComputers` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ScanForIntegrityChangesTaskParameters.TrustedComputers[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL_COMPUTERS

          public static final ScanForIntegrityChangesTaskParameters.TrustedComputers ALL_COMPUTERS

      Scan all computers.

    - #### TRUSTED_COMPUTERS_ONLY

          public static final ScanForIntegrityChangesTaskParameters.TrustedComputers TRUSTED_COMPUTERS_ONLY

      Scan only trusted computers.

    - #### EXCLUDE_TRUSTED_COMPUTERS

          public static final ScanForIntegrityChangesTaskParameters.TrustedComputers EXCLUDE_TRUSTED_COMPUTERS

      Scan only untrusted computers.

  - ### Method Detail

    - #### values

          public static ScanForIntegrityChangesTaskParameters.TrustedComputers[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScanForIntegrityChangesTaskParameters.TrustedComputers c : ScanForIntegrityChangesTaskParameters.TrustedComputers.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScanForIntegrityChangesTaskParameters.TrustedComputers valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static ScanForIntegrityChangesTaskParameters.TrustedComputers forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.